PaymentPlans
Diese Seite ist nicht auf Deutsch verfügbar. Die englische Version wird angezeigt.
Get Bulk Payment Plan Operation Details
Returns one operation row with the raw `params`, the error summary and the "before" snapshot location.
Authorization
appToken readAuthorizationBearer <token>
App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: read
Path Parameters
operationId*string
Bulk payment plan operation identifier
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/payment-plans/bulk/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "source": "csv", "status": "pending", "processor": "php", "userGroupId": "080a16e0-8946-456c-aef9-504a239bc5ab", "fileName": "string", "totalRows": 0, "processedRows": 0, "errorsTotal": 0, "paramsSummary": { "platformId": "32a6e381-64f4-4911-86b6-3bf681b64d23", "platformName": "string", "provider": "string", "userGroupCount": 0, "userGroupIds": [ "c74731e8-6cfe-4fb8-a03c-56ca2eebc391" ], "userGroupIdsResolvedCount": 0, "groupSelectorCount": 0, "symbolSelectorCount": 0, "action": "upsert", "planSummary": { "formula": "string", "ratio": "string", "unit": "string", "position": "string" } }, "backup": { "filePath": "string", "rows": 0, "takenAt": "2019-08-24T14:15:22Z" }, "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "errorsSummary": [ { "line_number": "string", "error": "string" } ], "errorMessage": "string", "params": { "action": "string", "selection": { "platformId": "32a6e381-64f4-4911-86b6-3bf681b64d23", "userGroupIds": [ "c74731e8-6cfe-4fb8-a03c-56ca2eebc391" ], "platformGroups": [ { "type": "id", "value": "string", "label": "string" } ], "symbols": [ { "type": "id", "value": "string", "label": "string" } ] }, "resolved": { "userGroupIds": [ "c74731e8-6cfe-4fb8-a03c-56ca2eebc391" ], "provider": "string", "planRows": 0 }, "plan": { "formula": "lot", "ratio": "string", "unit": "string", "position": "any", "side": "any", "levelTable": { "property1": [ "string" ], "property2": [ "string" ] } } }}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}